Bug 1032865 - compat-SFML16 included non-free files
compat-SFML16 included non-free files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compat-SFML16 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-11-20 23:03 EST by mejiko
Modified: 2016-02-20 10:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-20 10:39:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 647697 None None None Never

  None (edit)
Description mejiko 2013-11-20 23:03:40 EST
Hello.

compat-SFML16 included non-free files. See debian bug number "647697" details.
I think that this package be affected by debian bug number "647697".

and, this package included cheeseburger font, This font license is proprietary, very very restrictive license. Its non-free.


Suggests:

1. Remove non-free files/fonts and rebuild.

2. Replace Fedora free (Fedora Acceptable licensed) files.

3. Remove fedora repos.


Thanks.


Reference:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=647697
http://www.fontbros.com/families/cheeseburger/styles/regular
http://www.fontbros.com/support/license-agreement-modal?bare=true
http://www.fontalicious.com/project/cheeseburger/
http://www.fontalicious.com/font-licensingusage/
Comment 1 mejiko 2013-11-20 23:04:27 EST
Blocking FE-Legal, This is license problem.
Comment 2 mejiko 2014-03-15 06:03:55 EDT
Changed to rawhide. 

Is this bug is resolved ?
How it this bug current status ?

Thanks.
Comment 3 Hans de Goede 2014-03-15 06:07:09 EDT
(In reply to mejiko from comment #2)
> Changed to rawhide. 
> 
> Is this bug is resolved ?

No.

> How it this bug current status ?

Waiting for me to have some time to remove the trouble some bits. In the mean time It has actually made its way quite high up on my todo list so I should get around to fixing this soonish.
Comment 4 Jaroslav Reznik 2015-03-03 10:13:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 5 Hans de Goede 2016-02-20 10:39:40 EST
I finally have managed to make some time to fix this.

Thanks for the bug report.

This is fixed now in rawhide, closing.

Note You need to log in before you can comment on or make changes to this bug.